@echo off
rem Ŀ
rem  This example batchfile finds any new textfiles in the NASA directory   
rem  with a given extension and imports them as messages.  Note that the    
rem  "-pine" switches are used to force the message: Public, Tagline added, 
rem  no textfile header control, and Echo message.  The first line has a -l 
rem  switch in place of the -e since that conference is local, not echo.    
rem                                                                         
rem  We're importing to conferences 2, 102, 154, and 204.                   
rem  Since no -s (subject) is specified, the subject will be the filename.  
rem  The -p makes the messages public, which defaults to a TO of "ALL".     
rem  The -fSYSOP forces the messages to be from "SYSOP".                    
rem  The -k95 is used to limit the total number of lines per message to 95. 
rem  The -x3 limits TXT2MSG to create a maximum of 3 messages per source.   
rem 
echo TXT2MSG Process NASA files into message bases...
TXT2MSG   2 -pinl -fSYSOP -x10 -k400 f:\nasa\*.*
TXT2MSG 102 -pine -fSYSOP -x3  -k95  f:\nasa\*.rel f:\nasa\*.shu f:\nasa\*.mcc
TXT2MSG 154 -pine -fSYSOP -x3  -k95  f:\nasa\*.voy f:\nasa\*.gal f:\nasa\*.hst
TXT2MSG 204 -pine -fSYSOP -x3  -k95  f:\nasa\*.*

echo Delete NASA files from working directory...
for %%a in (f:\nasa\*.*) do del %%a
